The BOOST_PP_LIMIT_ITERATION macro defines the maximum number of local and file iterations.

#### Usage

BOOST_PP_LIMIT_ITERATION

#### Remarks

This macro expands by default to 256. For a C++ standard conforming preprocessor, the end-user can change this to 512 or 1024 by defining this macro to either value before including any library headers, as long as the end-user also defines the BOOST_PP_LIMIT_MAG macro to be equal to or greater than this value.

#### Requirements

Header: <boost/preprocessor/config/limits.hpp>
See also

- Limitations
- BOOST_PP_IS_STANDARD

© Copyright Housemarque Oy 2002
© Copyright Paul Mensonides 2002

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)